import { Count, Filter, FilterExcludingWhere, Where } from '@loopback/repository';
import { PlanItem } from '../models';
import { PlanItemRepository } from '../repositories';
export declare class PlanItemController {
    planItemRepository: PlanItemRepository;
    constructor(planItemRepository: PlanItemRepository);
    create(planItem: Omit<PlanItem, 'id'>): Promise<PlanItem>;
    count(where?: Where<PlanItem>): Promise<Count>;
    find(filter?: Filter<PlanItem>): Promise<PlanItem[]>;
    updateAll(planItem: PlanItem, where?: Where<PlanItem>): Promise<Count>;
    findById(id: string, filter?: FilterExcludingWhere<PlanItem>): Promise<PlanItem>;
    updateById(id: string, planItem: PlanItem): Promise<void>;
    replaceById(id: string, planItem: PlanItem): Promise<void>;
    deleteById(id: string): Promise<void>;
}
